Skip to content
Permalink
Browse files

debian packaging fix

  • Loading branch information
jef-n committed Nov 30, 2014
1 parent b2ba8e9 commit 3a2e7a24ce8416208d0b3904c52ffd8185289409
@@ -4,8 +4,9 @@ qgis (2.7.0) UNRELEASED; urgency=medium
* run tests in en_US.UTF-8 locale
* add build dependency to python-qscintilla2 for tests
* merge some downstream debian changes
* rename libqgis-customwidgets{QGIS_ABI} to libqgis-customwidgets

-- Jürgen E. Fischer <jef@norbit.de> Fri, 31 Oct 2014 13:00:45 +0100
-- Jürgen E. Fischer <jef@norbit.de> Sun, 30 Nov 2014 16:49:54 +0100

qgis (2.6.0) unstable; urgency=medium

@@ -112,8 +112,7 @@ Section: libs
Depends:
${shlibs:Depends},
${misc:Depends}
Replaces:
libqgis{QGIS_ABI}
Replaces: libqgis{QGIS_ABI}
Description: QGIS - shared gui library
QGIS is a Geographic Information System (GIS) which manages, analyzes and
display databases of geographic information.
@@ -172,12 +171,15 @@ Description: QGIS - shared Python library
.
This package contains the shared Python library.

Package: libqgis-customwidgets{QGIS_ABI}
Package: libqgis-customwidgets
Architecture: any
Depends:
qt4-designer,
${shlibs:Depends},
${misc:Depends}
Replaces: libqgis-customwidgets2.6.0, libqgis-customwidgets2.6.1
Conflicts: libqgis-customwidgets2.6.0, libqgis-customwidgets2.6.1
Provides: libqgis-customwidgets2.6.0, libqgis-customwidgets2.6.1
Description: QGIS custom widgets for Qt Designer
QGIS is a Geographic Information System (GIS) which manages, analyzes and
display databases of geographic information.
@@ -221,7 +223,7 @@ Depends:
python-qt4-dev (>=4.1.0),
qt4-designer,
${misc:Depends}
Recommends: libqgis-customwidgets{QGIS_ABI}
Recommends: libqgis-customwidgets
Provides: qgis-dev
Replaces:
libqgis1-dev
@@ -325,7 +327,7 @@ Depends:
gdal-bin,
python-gdal,
python-matplotlib,
libqgis-customwidgets{QGIS_ABI},
libqgis-customwidgets,
${python:Depends},
${misc:Depends},
${sip:Depends}
@@ -368,6 +370,7 @@ Package: qgis-server
Architecture: any
Provides: qgis-mapserver
Replaces: qgis-mapserver
Conflicts: qgis-mapserver
Depends:
qgis-providers (= ${binary:Version}),
${shlibs:Depends},
File renamed without changes.
@@ -0,0 +1 @@
libqgis-customwidgets: no-symbols-control-file

This file was deleted.

0 comments on commit 3a2e7a2

Please sign in to comment.
You can’t perform that action at this time.